# https://codeload.github.com/PyTables/PyTables/tar.gz/v3.4.2
%global module tables

Name: 	 	      python-%{module}
Version: 	      3.4.2
Release: 	      %mkrel 1
Summary:        HDF5 support in Python

License: 	      BSD
Group: 	 	      Development/Python
Url: 	 	        http://www.pytables.org
Source0:        PyTables-%{version}.tar.xz
Patch0:         python-tables-3.4.2-always-use-blosc.patch
Patch1:         python-tables-3.4.2-replaced-hand-coded-lists.patch

BuildRequires:  bzip2-devel
BuildRequires: 	hdf5-devel
BuildRequires:	liblzo-devel
BuildRequires:  python-cython
BuildRequires:  python-devel
BuildRequires:  python-mock
BuildRequires:  python-numexpr
BuildRequires:  python-numpy-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python3-cython
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-numexpr
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python-numpy
Requires:       python-numexpr
Requires:       python-six

%description
PyTables is a Python package for managing hierarchical datasets
designed to efficiently and easily cope with extremely large amounts
of data. It is built on top of the HDF5 library and the NumPy package
(numarray and Numeric are also supported). PyTables features an
object-oriented interface and performance-critical extensions coded in
C (generated using Pyrex) that make it a fast yet extremely
easy-to-use tool for interactively processing and searching through
very large amounts of data. PyTables also optimizes memory and disk
resources so that data occupies much less space than with other
solutions such as relational or object-oriented databases (especially
when compression is used).

%package	doc
Group:		      Documentation
Summary:	      Documentation for PyTables
BuildArch:	    noarch

%description doc
The %{name}-doc package contains the documentation related to
PyTables.

%package -n python3-%{module}
Summary:        HDF5 support in Python
Group:          Development/Python
Requires: 	    python3-numpy
Requires:	      python3-numexpr
Requires:       python3-six

%description -n python3-%{module}
PyTables is a Python 3 package for managing hierarchical datasets
designed to efficiently and easily cope with extremely large amounts
of data. It is built on top of the HDF5 library and the NumPy package
(numarray and Numeric are also supported). PyTables features an
object-oriented interface and performance-critical extensions coded in
C (generated using Pyrex) that make it a fast yet extremely
easy-to-use tool for interactively processing and searching through
very large amounts of data. PyTables also optimizes memory and disk
resources so that data occupies much less space than with other
solutions such as relational or object-oriented databases (especially
when compression is used).

%prep
%setup -qn PyTables-%{version}
%apply_patches
cp -a . %{py3dir}
find %{py3dir}/utils -name 'pt*' | xargs sed -i '1s|^#!/usr/bin/env python|#!%{__python3}|'

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
chmod -x examples/check_examples.sh
sed -i 's|bin/env |bin/|' utils/*

pushd %{py3dir}
%py3_install
mv %{buildroot}/usr/bin/pt2to3 %{buildroot}/usr/bin/pt2to3-3.6
mv %{buildroot}/usr/bin/ptdump %{buildroot}/usr/bin/ptdump3
mv %{buildroot}/usr/bin/ptrepack %{buildroot}/usr/bin/ptrepack3
mv %{buildroot}/usr/bin/pttree %{buildroot}/usr/bin/pttree3
popd
%py2_install

%files
%doc *.txt LICENSES README.rst
%{_bindir}/pt2to3
%{_bindir}/ptdump
%{_bindir}/ptrepack
%{_bindir}/pttree
%{python_sitearch}/*

%files doc
%doc examples

%files -n python3-%{module}
%doc *.txt LICENSES README.rst
%{_bindir}/pt2to3-3.6
%{_bindir}/ptdump3
%{_bindir}/ptrepack3
%{_bindir}/pttree3
%{python3_sitearch}/*

%changelog
* Wed Jul 11 2018 adrianomorselli <adrianomorselli> 3.4.2-1uplos2018
- update
